<header>
  <div class="wrapper">
    <nav *ngIf="authService.isLogged(); else notLogged">
      <div class="left">
        <div class="logo">
          VISMA
        </div>
        <div
          class="right-arrow"
          (click)="toggleNavigation()"
          [ngClass]="open ? 'open' : ''"
        ></div>

        <div class="menu">
          <ul>
            <li>
              <a [routerLink]="['sections/men']" routerLinkActive="active"
                >FOR MEN</a
              >
            </li>
            <li>
              <a [routerLink]="['sections/women']" routerLinkActive="active"
                >FOR WOMEN</a
              >
            </li>
            <li><a>FOR KIDS AND BABIES</a></li>
          </ul>
        </div>
      </div>

      <div class="mobile__menu" #mobileMenu>
        <ul>
          <li>
            <a [routerLink]="['sections/men']" routerLinkActive="active"
              >FOR MEN</a
            >
          </li>
          <li>
            <a [routerLink]="['sections/women']" routerLinkActive="active"
              >FOR WOMEN</a
            >
          </li>
          <li><a>FOR KIDS AND BABIES</a></li>
        </ul>
      </div>

      <div class="right">
        <a [routerLink]="['controls/add']" class="control"
          ><button class="button">ADD NEW</button></a
        >
        <a class="control"
          ><button class="button" (click)="logout()">LOG OUT</button></a
        >
      </div>
    </nav>
    <ng-template #notLogged class="wrapper">
      <nav>
        <div class="left">
          <div class="logo">
            VISMA
          </div>
        </div>

        <div class="right">
          <a [routerLink]="['/auth/register']"
          class="control"
            ><button class="button">REGISTER</button></a
          >
          <a [routerLink]="['/auth/login']"
          class="control"
            ><button class="button">LOG IN</button></a
          >
        </div>
      </nav>
    </ng-template>
  </div>
</header>
